Subject: Bug#1577: gnome-Terminal not working on RHEL8

From: Ulrich Sibiller <[email-masked]>
Date: Tue, 21 Dec 2021 15:03:33 +0100

Package: x2goserver
Version: 4.1.0.3-9

If you configure a standard session in x2goclient and set the session
type to "Terminal" ("Eingabeaufforderung" in German) the session will
start and automatically terminate shortly after.

This is because when selecting "Terminal" the command to run is
determined at server side and normally "gnome-terminal" will be
selected. But gnome-terminal on RHEL8 will fork and x2go then goes on
assuming session end because of the last (only) client having ended.

Workaround: configure "/usr/bin/dbus-launch /usr/bin/gnome-terminal
--wait" instead of "Terminal" in the x2go session configuration.